# Interface methods for submodule: CannySegmentationLevelSetImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import SegmentationLevelSetImageFilterProxy as _SegmentationLevelSetImageFilterProxy


# Interface methods for class: CannySegmentationLevelSetImageFilter
class CannySegmentationLevelSetImageFilterProxy(_SegmentationLevelSetImageFilterProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def SetThreshold(self, v: float) -> None:
		""""""
		...

	def GetThreshold(self) -> float:
		""""""
		...

	def SetVariance(self, v: float) -> None:
		""""""
		...

	def GetVariance(self) -> float:
		""""""
		...

	def GetCannyImage(self):
		""""""
		...

